/**
 * @license
 * Copyright 2018 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { __decorate } from "tslib";
// Style preference for leading underscores.
// tslint:disable:strip-private-property-underscore
import { customElement } from 'lit/decorators.js';
import { CircularProgressFourColorBase } from './mwc-circular-progress-four-color-base.js';
import { styles } from './mwc-circular-progress-four-color.css.js';
/** @soyCompatible */
let CircularProgressFourColor = class CircularProgressFourColor extends CircularProgressFourColorBase {
};
CircularProgressFourColor.styles = [styles];
CircularProgressFourColor = __decorate([
    customElement('mwc-circular-progress-four-color')
], CircularProgressFourColor);
export { CircularProgressFourColor };
//# sourceMappingURL=mwc-circular-progress-four-color.js.map